<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">

	<ui:define name="content">
		<h2>Nová adresa</h2>
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h3>Přidat adresu k
				<h:outputText value="#{zakaznikBean.zakaznik.jmeno} #{zakaznikBean.zakaznik.prijmeni}"></h:outputText>
			</h3>			
			
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="Obec"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.adresa.obec}" required="true"
					requiredMessage="Obec je povinná"
					validatorMessage="Název obce je příliš krátký">
					<f:validateLength minimum="2" maximum="33" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Ulice"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.adresa.ulice}">
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Číslo" required="true"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.adresa.cislo}"
					requiredMessage="Číslo je povinný"
					validatorMessage="Zadané číslo je neplatné">
					<f:convertNumber integerOnly="true"/>
				</h:inputText>
				
				<h:outputLabel rendered="true" value="PSČ" required="true"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.adresa.psc}"
					requiredMessage="PSČ je povinné"
					validatorMessage="Zadané PSČ je neplatné">
					<f:convertNumber minIntegerDigits="5" maxIntegerDigits="5" integerOnly="true"/>
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Oblast" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{zakaznikBean.adresa.oblast}" converter="oblastConverter">
				    <f:selectItems value="#{oblastBean.oblasti}" var="oblast" itemValue="#{oblast}" itemLabel="#{oblast.nazev}" />
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>			
				<h:commandButton action="#{zakaznikBean.actionAdresaAdd}" value="Přidat" styleClass="formbutton">
				</h:commandButton>
			</h:panelGrid>
		</h:form>
	</ui:define>

</ui:composition>
</html>
